Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/test_period.f90	(revision 5116)
@@ -44,5 +44,5 @@
      do ij=1,iim
       if (teta(ij,l)/=teta(1,l) &
-            .or.teta(ip1jm+ij,l)/=teta(ip1jm+1,l) ) then
+            .or.teta(ip1jm+ij,l)/=teta(ip1jm+1,l) ) THEN
       PRINT *,'STOP dans test_period car ---  TETA  ---  n est pas', &
             ' constant aux poles ! '
@@ -100,5 +100,5 @@
      do ij=1,iim
       if (p(ij,l)/=p(1,l) &
-            .or.p(ip1jm+ij,l)/=p(ip1jm+1,l) ) then
+            .or.p(ip1jm+ij,l)/=p(ip1jm+1,l) ) THEN
       PRINT *,'STOP dans test_period car ---  P     ---  n est pas', &
             ' constant aux poles ! '
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/traceurpole.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/traceurpole.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/traceurpole.f90	(revision 5116)
@@ -12,16 +12,16 @@
 
   !   Arguments
-  integer :: iq
-  real :: masse(iip1, jjp1, llm)
-  real :: q(iip1, jjp1, llm)
+  INTEGER :: iq
+  REAL :: masse(iip1, jjp1, llm)
+  REAL :: q(iip1, jjp1, llm)
 
 
   !   Locals
-  integer :: i, j, l
-  real :: sommemassen(llm)
-  real :: sommemqn(llm)
-  real :: sommemasses(llm)
-  real :: sommemqs(llm)
-  real :: qpolen(llm), qpoles(llm)
+  INTEGER :: i, j, l
+  REAL :: sommemassen(llm)
+  REAL :: sommemqn(llm)
+  REAL :: sommemasses(llm)
+  REAL :: sommemqs(llm)
+  REAL :: qpolen(llm), qpoles(llm)
 
 
@@ -56,4 +56,4 @@
   enddo
 
-  return
-end subroutine traceurpole
+  RETURN
+END SUBROUTINE traceurpole
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5116)
@@ -11,5 +11,5 @@
   ! levels are pressure levels.
 
-  use comconst_mod, only: omeg, rad
+  use comconst_mod, ONLY: omeg, rad
   
   IMPLICIT NONE
@@ -29,5 +29,5 @@
   DO j=1,jjm
 
-     if (abs(sin(rlatv(j)))<1.e-4) then
+     if (abs(sin(rlatv(j)))<1.e-4) THEN
         zlat=1.e-4
      else
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/write_grads_dyn.h	(revision 5116)
@@ -2,6 +2,5 @@
 ! $Header$
 
-if (callinigrads) then
-
+if (callinigrads) THEN
    string10='dyn'
    CALL inigrads(1,iip1 &
@@ -26,5 +25,5 @@
 do iq=1,nqtot
    string10='q'
-   write(string10(2:2),'(i1)') iq
+   WRITE(string10(2:2),'(i1)') iq
    CALL wrgrads(1,llm,q(:,:,iq),string10,string10)
 enddo
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5116)
@@ -120,5 +120,5 @@
   ! CALL histwrite(histaveid, 'phis', itau_w, phis, iip1*jjp1, ndex2d)
 
-  if (ok_sync) then
+  if (ok_sync) THEN
      CALL histsync(histaveid)
      CALL histsync(histvaveid)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5116)
@@ -47,5 +47,5 @@
   REAL :: phis(ip1jmp1)
   REAL :: q(ip1jmp1, llm, nqtot)
-  integer :: time
+  INTEGER :: time
 
 
@@ -53,8 +53,8 @@
   !   Variables locales
   !
-  integer :: iq, ii, ll
-  integer :: ndexu(ip1jmp1 * llm), ndexv(ip1jm * llm), ndex2d(ip1jmp1)
+  INTEGER :: iq, ii, ll
+  INTEGER :: ndexu(ip1jmp1 * llm), ndexv(ip1jm * llm), ndex2d(ip1jmp1)
   logical :: ok_sync
-  integer :: itau_w
+  INTEGER :: itau_w
   REAL :: vnat(ip1jm, llm), unat(ip1jmp1, llm)
 
@@ -114,9 +114,9 @@
   !  Fin
   !
-  if (ok_sync) then
+  if (ok_sync) THEN
     CALL histsync(histid)
     CALL histsync(histvid)
     CALL histsync(histuid)
   endif
-  return
-end subroutine writehist
+  RETURN
+END SUBROUTINE writehist
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/abort_gcm.f90	(revision 5116)
@@ -18,13 +18,13 @@
   !     ierr    = severity of situation ( = 0 normal )
 
-  character(len=*), intent(in):: modname
-  integer :: ierr, ierror_mpi
-  character(len=*), intent(in):: message
+  CHARACTER(LEN=*), intent(in):: modname
+  INTEGER :: ierr, ierror_mpi
+  CHARACTER(LEN=*), intent(in):: message
 
-  write(lunout,*) 'in abort_gcm'
+  WRITE(lunout,*) 'in abort_gcm'
 !$OMP MASTER
   CALL histclo
   CALL restclo
-  if (MPI_rank == 0) then
+  if (MPI_rank == 0) THEN
      CALL getin_dump
   endif
@@ -34,10 +34,10 @@
   ! CALL histclo(4)
   ! CALL histclo(5)
-  write(lunout,*) 'Stopping in ', modname
-  write(lunout,*) 'Reason = ',message
-  if (ierr == 0) then
-    write(lunout,*) 'Everything is cool'
+  WRITE(lunout,*) 'Stopping in ', modname
+  WRITE(lunout,*) 'Reason = ',message
+  if (ierr == 0) THEN
+    WRITE(lunout,*) 'Everything is cool'
   else
-    write(lunout,*) 'Houston, we have a problem, ierr = ', ierr
+    WRITE(lunout,*) 'Houston, we have a problem, ierr = ', ierr
 
     if (using_mpi) THEN
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90	(revision 5116)
@@ -96,5 +96,5 @@
 !$OMP END DO NOWAIT
 
-  if (pole_nord) then
+  if (pole_nord) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO  k    = 1, llm
@@ -111,5 +111,5 @@
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO  k    = 1, llm
@@ -158,5 +158,5 @@
 !$OMP END MASTER
 
-  if (planet_type=="earth") then
+  if (planet_type=="earth") THEN
   ! earth case, special treatment for first 2 tracers (water)
   DO iq = 1, 2
@@ -196,6 +196,5 @@
 
 !$OMP MASTER
-  if (pole_nord) then
-
+  if (pole_nord) THEN
     DO  ij   = 1, iim
       xpn(ij) = aire(   ij   ) * pps(  ij     )
@@ -210,6 +209,5 @@
   endif
 
-  if (pole_sud) then
-
+  if (pole_sud) THEN
     DO  ij   = 1, iim
       xps(ij) = aire(ij+ip1jm) * pps(ij+ip1jm )
@@ -225,5 +223,5 @@
 !$OMP END MASTER
 
-  if (pole_nord) then
+  if (pole_nord) THEN
     DO iq = 1, nqtot
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -242,5 +240,5 @@
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
     DO iq = 1, nqtot
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90	(revision 5116)
@@ -124,5 +124,5 @@
     ENDDO
 
-    if (pole_nord) then
+    if (pole_nord) THEN
       DO      ij = 1, iip1
         uav(ij, l) = 0.
@@ -130,5 +130,5 @@
     endif
 
-    if (pole_sud) then
+    if (pole_sud) THEN
       DO      ij = 1, iip1
         uav(ip1jm + ij, l) = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90	(revision 5116)
@@ -20,4 +20,5 @@
   USE strings_mod, ONLY: int2str
   USE lmdz_description, ONLY: descript
+  USE lmdz_libmath, ONLY: minmax
 
   IMPLICIT NONE
@@ -51,5 +52,4 @@
   INTEGER, SAVE :: iadvtr = 0
   !$OMP THREADPRIVATE(iadvtr)
-  EXTERNAL  minmax
 
   !---------------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5116)
@@ -45,15 +45,15 @@
 
     include "dimensions.h"
-      integer :: i,j
+      INTEGER :: i,j
       character (len=4) :: siim,sjjm,sllm,sproc
       character (len=255) :: filename
-      integer :: unit_number=10
-      integer :: ierr
+      INTEGER :: unit_number=10
+      INTEGER :: ierr
     
       CALL AllocateBands
-      write(siim,'(i3)') iim
-      write(sjjm,'(i3)') jjm
-      write(sllm,'(i3)') llm
-      write(sproc,'(i3)') mpi_size
+      WRITE(siim,'(i3)') iim
+      WRITE(sjjm,'(i3)') jjm
+      WRITE(sllm,'(i3)') llm
+      WRITE(sproc,'(i3)') mpi_size
       filename='Bands_'//TRIM(ADJUSTL(siim))//'x'//TRIM(ADJUSTL(sjjm))//'x'//TRIM(ADJUSTL(sllm))//'_'  &
                         //TRIM(ADJUSTL(sproc))//'prc.dat'    
@@ -61,6 +61,5 @@
       OPEN(UNIT=unit_number,FILE=trim(filename),STATUS='old',FORM='formatted',IOSTAT=ierr)
       
-      if (ierr==0) then
-      
+      if (ierr==0) THEN
          do i=0,mpi_size-1
           read (unit_number,*) j,jj_nb_caldyn(i)
@@ -129,6 +128,6 @@
        do i=0,MPI_Size-1
         jj_Nb_physic(i)=jj_para_end(i)-jj_para_begin(i)+1
-        if (i/=0) then
-          if (jj_para_begin(i)==jj_para_end(i-1)) then
+        if (i/=0) THEN
+          if (jj_para_begin(i)==jj_para_end(i-1)) THEN
             jj_Nb_physic(i-1)=jj_Nb_physic(i-1)-1
           endif
@@ -138,6 +137,6 @@
       do i=0,MPI_Size-1
         jj_Nb_physic_bis(i)=jj_para_end(i)-jj_para_begin(i)+1
-        if (i/=0) then
-          if (jj_para_begin(i)==jj_para_end(i-1)) then
+        if (i/=0) THEN
+          if (jj_para_begin(i)==jj_para_end(i-1)) THEN
             jj_Nb_physic_bis(i)=jj_Nb_physic_bis(i)-1
           else
@@ -180,11 +179,11 @@
       TYPE(distrib),INTENT(INOUT) :: new_dist
 
-      real :: minvalue,maxvalue
-      integer :: min_proc,max_proc
-      integer :: i,j
+      REAL :: minvalue,maxvalue
+      INTEGER :: min_proc,max_proc
+      INTEGER :: i,j
       real,allocatable,dimension(:) :: value
       integer,allocatable,dimension(:) :: index
-      real :: tmpvalue
-      integer :: tmpindex
+      REAL :: tmpvalue
+      INTEGER :: tmpindex
       
       allocate(value(0:mpi_size-1))
@@ -201,5 +200,5 @@
       do i=0,mpi_size-2
         do j=i+1,mpi_size-1
-	  if (value(i)>value(j)) then
+	  if (value(i)>value(j)) THEN
 	    tmpvalue=value(i)
 	    value(i)=value(j)
@@ -219,6 +218,6 @@
         minvalue=value(i)
         min_proc=index(i)
-        if (jj_nb_caldyn(max_proc)>2) then
-          if (timer_iteration(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)<=1 ) then
+        if (jj_nb_caldyn(max_proc)>2) THEN
+          if (timer_iteration(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)<=1 ) THEN
              jj_nb_caldyn(min_proc)=jj_nb_caldyn(min_proc)+1
              jj_nb_caldyn(max_proc)=jj_nb_caldyn(max_proc)-1
@@ -226,5 +225,5 @@
            else
              if (timer_average(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)                 &
-	        -timer_delta(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc) < maxvalue) then
+	        -timer_delta(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc) < maxvalue) THEN
                jj_nb_caldyn(min_proc)=jj_nb_caldyn(min_proc)+1
                jj_nb_caldyn(max_proc)=jj_nb_caldyn(max_proc)-1
@@ -247,11 +246,11 @@
       TYPE(distrib),INTENT(INOUT) :: new_dist
 
-      real :: minvalue,maxvalue
-      integer :: min_proc,max_proc
-      integer :: i,j
+      REAL :: minvalue,maxvalue
+      INTEGER :: min_proc,max_proc
+      INTEGER :: i,j
       real,allocatable,dimension(:) :: value
       integer,allocatable,dimension(:) :: index
-      real :: tmpvalue
-      integer :: tmpindex
+      REAL :: tmpvalue
+      INTEGER :: tmpindex
       
       allocate(value(0:mpi_size-1))
@@ -268,5 +267,5 @@
       do i=0,mpi_size-2
         do j=i+1,mpi_size-1
-	  if (value(i)>value(j)) then
+	  if (value(i)>value(j)) THEN
 	    tmpvalue=value(i)
 	    value(i)=value(j)
@@ -287,12 +286,12 @@
         min_proc=index(i)
 
-        if (jj_nb_vanleer(max_proc)>2) then
+        if (jj_nb_vanleer(max_proc)>2) THEN
           if (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc)==0. .or. &
-             timer_average(jj_nb_vanleer(max_proc)-1,timer_vanleer,max_proc)==0.) then
+             timer_average(jj_nb_vanleer(max_proc)-1,timer_vanleer,max_proc)==0.) THEN
              jj_nb_vanleer(min_proc)=jj_nb_vanleer(min_proc)+1
              jj_nb_vanleer(max_proc)=jj_nb_vanleer(max_proc)-1
 	     exit
            else
-             if (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc) < maxvalue) then
+             if (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc) < maxvalue) THEN
                jj_nb_vanleer(min_proc)=jj_nb_vanleer(min_proc)+1
                jj_nb_vanleer(max_proc)=jj_nb_vanleer(max_proc)-1
@@ -316,11 +315,11 @@
       TYPE(distrib),INTENT(INOUT) :: new_dist
       
-      real :: minvalue,maxvalue
-      integer :: min_proc,max_proc
-      integer :: i,j
+      REAL :: minvalue,maxvalue
+      INTEGER :: min_proc,max_proc
+      INTEGER :: i,j
       real,allocatable,dimension(:) :: value
       integer,allocatable,dimension(:) :: index
-      real :: tmpvalue
-      integer :: tmpindex
+      REAL :: tmpvalue
+      INTEGER :: tmpindex
       
       allocate(value(0:mpi_size-1))
@@ -337,5 +336,5 @@
       do i=0,mpi_size-2
         do j=i+1,mpi_size-1
-	  if (value(i)>value(j)) then
+	  if (value(i)>value(j)) THEN
 	    tmpvalue=value(i)
 	    value(i)=value(j)
@@ -356,6 +355,6 @@
         min_proc=index(i)
 
-        if (jj_nb_dissip(max_proc)>3) then
-          if (timer_iteration(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)<=1) then
+        if (jj_nb_dissip(max_proc)>3) THEN
+          if (timer_iteration(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)<=1) THEN
              jj_nb_dissip(min_proc)=jj_nb_dissip(min_proc)+1
              jj_nb_dissip(max_proc)=jj_nb_dissip(max_proc)-1
@@ -363,5 +362,5 @@
            else
              if (timer_average(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)         &
-	        - timer_delta(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc) < maxvalue) then
+	        - timer_delta(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc) < maxvalue) THEN
                jj_nb_dissip(min_proc)=jj_nb_dissip(min_proc)+1
                jj_nb_dissip(max_proc)=jj_nb_dissip(max_proc)-1
@@ -389,9 +388,9 @@
       IMPLICIT NONE
 
-      integer :: i,Index
+      INTEGER :: i,Index
       real,allocatable,dimension(:) :: value
       integer,allocatable,dimension(:) :: Inc
-      real :: medium
-      integer :: NbTot,sgn
+      REAL :: medium
+      INTEGER :: NbTot,sgn
       
       allocate(value(0:mpi_size-1))
@@ -415,5 +414,5 @@
       enddo
       
-      if (NbTot>=0) then
+      if (NbTot>=0) THEN
         Sgn=1
       else
@@ -441,14 +440,14 @@
     include "dimensions.h"
 
-      integer :: i,j
+      INTEGER :: i,j
       character (len=4) :: siim,sjjm,sllm,sproc
       character (len=255) :: filename
-      integer :: unit_number=10
-      integer :: ierr
-  
-      write(siim,'(i3)') iim
-      write(sjjm,'(i3)') jjm
-      write(sllm,'(i3)') llm
-      write(sproc,'(i3)') mpi_size
+      INTEGER :: unit_number=10
+      INTEGER :: ierr
+  
+      WRITE(siim,'(i3)') iim
+      WRITE(sjjm,'(i3)') jjm
+      WRITE(sllm,'(i3)') llm
+      WRITE(sproc,'(i3)') mpi_size
 
       filename='Bands_'//TRIM(ADJUSTL(siim))//'x'//TRIM(ADJUSTL(sjjm))//'x'//TRIM(ADJUSTL(sllm))//'_'  &
@@ -457,6 +456,5 @@
       OPEN(UNIT=unit_number,FILE=trim(filename),STATUS='replace',FORM='formatted',IOSTAT=ierr)
       
-      if (ierr==0) then
-        
+      if (ierr==0) THEN
 !	write (unit_number,*) '*** Bandes caldyn ***'
 	do i=0,mpi_size-1
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5116)
@@ -41,15 +41,15 @@
   !   ===========
 
-  integer :: ntrac
-  real :: dt_app,dt_cum
-  real :: ps(iip1,jjb_u:jje_u)
-  real :: masse(iip1,jjb_u:jje_u,llm),pk(iip1,jjb_u:jje_u,llm)
-  real :: flux_u(iip1,jjb_u:jje_u,llm)
-  real :: flux_v(iip1,jjb_v:jje_v,llm)
-  real :: teta(iip1,jjb_u:jje_u,llm)
-  real :: phi(iip1,jjb_u:jje_u,llm)
-  real :: ucov(iip1,jjb_u:jje_u,llm)
-  real :: vcov(iip1,jjb_v:jje_v,llm)
-  real :: trac(iip1,jjb_u:jje_u,llm,ntrac)
+  INTEGER :: ntrac
+  REAL :: dt_app,dt_cum
+  REAL :: ps(iip1,jjb_u:jje_u)
+  REAL :: masse(iip1,jjb_u:jje_u,llm),pk(iip1,jjb_u:jje_u,llm)
+  REAL :: flux_u(iip1,jjb_u:jje_u,llm)
+  REAL :: flux_v(iip1,jjb_v:jje_v,llm)
+  REAL :: teta(iip1,jjb_u:jje_u,llm)
+  REAL :: phi(iip1,jjb_u:jje_u,llm)
+  REAL :: ucov(iip1,jjb_u:jje_u,llm)
+  REAL :: vcov(iip1,jjb_v:jje_v,llm)
+  REAL :: trac(iip1,jjb_u:jje_u,llm,ntrac)
 
   !   Local :
@@ -61,5 +61,5 @@
 !$OMP THREADPRIVATE(first)
 
-  real :: zz,zqy
+  REAL :: zz,zqy
   REAl,SAVE,ALLOCATABLE :: zfactv(:,:)
 
@@ -69,9 +69,9 @@
   !ym      character*6 nom(nQ)
   !ym      character*6 unites(nQ)
-  character(len=6),save :: nom(nQ)
-  character(len=6),save :: unites(nQ)
-
-  character(len=10) file
-  integer :: ifile
+  CHARACTER(LEN=6),save :: nom(nQ)
+  CHARACTER(LEN=6),save :: unites(nQ)
+
+  CHARACTER(LEN=10) file
+  INTEGER :: ifile
   parameter (ifile=4)
 
@@ -84,5 +84,5 @@
 !$OMP THREADPRIVATE(time,itau)
 
-  real :: ww
+  REAL :: ww
 
   !   variables dynamiques intermédiaires
@@ -110,5 +110,5 @@
 
   !   champs de tansport en moyenne zonale
-  integer :: ntr,itr
+  INTEGER :: ntr,itr
   parameter (ntr=5)
 
@@ -122,5 +122,5 @@
   INTEGER,PARAMETER :: iave=1,itot=2,immc=3,itrs=4,istn=5
 
-  character(len=3) :: ctrs(ntr)
+  CHARACTER(LEN=3) :: ctrs(ntr)
   data ctrs/'  ','TOT','MMC','TRS','STN'/
 
@@ -131,5 +131,5 @@
   real,SAVE,ALLOCATABLE ::  zv(:,:),psi(:,:)
 
-  integer :: i,j,l,iQ
+  INTEGER :: i,j,l,iQ
 
 
@@ -137,8 +137,8 @@
   !   ---------------------------------------------------------
 
-  character(len=10) :: infile
+  CHARACTER(LEN=10) :: infile
 
   integer, save :: fileid
-  integer :: thoriid, zvertiid
+  INTEGER :: thoriid, zvertiid
 
   INTEGER,SAVE,ALLOCATABLE :: ndex3d(:)
@@ -146,13 +146,13 @@
   !   Variables locales
   !
-  integer :: tau0
-  real :: zjulian
-  character(len=3) :: str
-  character(len=10) :: ctrac
-  integer :: ii,jj
-  integer :: zan, dayref
+  INTEGER :: tau0
+  REAL :: zjulian
+  CHARACTER(LEN=3) :: str
+  CHARACTER(LEN=10) :: ctrac
+  INTEGER :: ii,jj
+  INTEGER :: zan, dayref
   !
   real,SAVE,ALLOCATABLE :: rlong(:),rlatg(:)
-  integer :: jjb,jje,jjn,ijb,ije
+  INTEGER :: jjb,jje,jjn,ijb,ije
   type(Request),SAVE :: Req
 !$OMP THREADPRIVATE(Req)
@@ -178,5 +178,5 @@
   itau=itau+1
 
-  if (first) then
+  if (first) THEN
 !$OMP BARRIER
 !$OMP MASTER
@@ -223,5 +223,5 @@
   !   ncum est la frequence de stokage en pas de temps
     ncum=dt_cum/dt_app
-    if (abs(ncum*dt_app-dt_cum)>1.e-5*dt_app) then
+    if (abs(ncum*dt_app-dt_cum)>1.e-5*dt_app) THEN
        WRITE(lunout,*) &
              'Pb : le pas de cumule doit etre multiple du pas'
@@ -296,5 +296,5 @@
   do iQ=1,nQ
      do itr=1,ntr
-        if(itr==1) then
+        IF(itr==1) THEN
            znom(itr,iQ)=nom(iQ)
            znoml(itr,iQ)=nom(iQ)
@@ -404,5 +404,5 @@
   !=====================================================================
   !
-  if(icum==0) then
+  IF(icum==0) THEN
      jjb=jj_begin
      jje=jj_end
@@ -582,5 +582,5 @@
   !   PAS DE TEMPS D'ECRITURE
   !=====================================================================
-  if (icum==ncum) then
+  if (icum==ncum) THEN
   !=====================================================================
 
@@ -776,5 +776,5 @@
   !   sorties proprement dites
 !$OMP MASTER
-  if (i_sortie==1) then
+  if (i_sortie==1) THEN
   jjb=jj_begin
   jje=jj_end
@@ -841,3 +841,3 @@
 
 
-end subroutine bilan_dyn_loc
+END SUBROUTINE bilan_dyn_loc
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5116)
@@ -54,5 +54,5 @@
   !$OMP THREADPRIVATE(Request_vanleer)
 
-  !write(*,*) 'caladvtrac 58: entree'
+  !WRITE(*,*) 'caladvtrac 58: entree'
   ijbu = ij_begin
   ijeu = ij_end
@@ -107,5 +107,5 @@
 
   IF (iadvtr==iapp_tracvl) THEN
-    !write(*,*) 'caladvtrac 133'
+    !WRITE(*,*) 'caladvtrac 133'
     !$OMP MASTER
     CALL suspend_timer(timer_caldyn)
@@ -181,9 +181,9 @@
       CALL WriteField_u('wg1', wg_adv)
     END IF
-    !write(*,*) 'caladvtrac 185'
+    !WRITE(*,*) 'caladvtrac 185'
     CALL advtrac_loc(pbarug_adv, pbarvg_adv, wg_adv, &
             p_adv, massem_adv, q_adv, teta_adv, &
             pk_adv)
-    !write(*,*) 'caladvtrac 189'
+    !WRITE(*,*) 'caladvtrac 189'
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/call_dissip_mod.f90	(revision 5116)
@@ -240,5 +240,5 @@
       !$OMP END DO NOWAIT
 
-      if (1 == 0) then
+      if (1 == 0) THEN
         !!! Ehouarn: lines here 1) kill 1+1=2 in the dynamics
         !!!                     2) should probably not be here anyway
@@ -274,5 +274,5 @@
       !$OMP END DO NOWAIT
 
-      if (1 == 0) then
+      if (1 == 0) THEN
         !!! Ehouarn: lines here 1) kill 1+1=2 in the dynamics
         !!!                     2) should probably not be here anyway
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90	(revision 5116)
@@ -38,5 +38,5 @@
       iso_O17 = strIdx(isoName,'H217O')
       iso_HTO = strIdx(isoName,'HTO')
-      if (tnat1) then
+      if (tnat1) THEN
               tnat(:)=1.0
       else
